%define upstream_name    HTTP-Exception
%define upstream_version 0.04006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Throw HTTP-Errors as Exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.290.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Status) >= 5.817.0
BuildRequires: perl(Scalar::Util) >= 1.220.0
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Every HTTP::Exception is a L<Exception::Class> - Class. So the same
mechanisms apply as with L<Exception::Class>-classes. In fact have a look
at L<Exception::Class>' docs for more general information on exceptions and
L<Exception::Class::Base> for information on what methods a caught
exception also has.

HTTP::Exception is only a factory for HTTP::Exception::XXX (where X is a
number) subclasses. That means that HTTP::Exception->new(404) returns a
HTTP::Exception::404 object, which in turn is a HTTP::Exception::Base -
Object.

Don't bother checking a caught HTTP::Exception::...-class with "isa" as it
might not contain what you would expect. Use the code- or
status_message-attributes and the is_ -methods instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.60-6pclos2017
- rebuild against updates

